/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBFishing.cs
Lines of code: 44
***********************************************************/


using System; 
using System.Collections; 
using Server.Items; 
using Server.Multis;

namespace Server.Mobiles 
{ 
	public class SBFishing : SBInfo 
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo(); 
		private IShopSellInfo m_SellInfo = new InternalSellInfo(); 

		public SBFishing() 
		{ 
		} 

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } } 
		public override ArrayList BuyInfo { get { return m_BuyInfo; } } 

		public class InternalBuyInfo : ArrayList 
		{ 
			public InternalBuyInfo() 
			{ 
				Add( new GenericBuyInfo( typeof( RawFishSteak ), 2, 20, 0x97A, 0 ) );

				Add( new GenericBuyInfo( typeof( Fish ), 2, 80, 0x9CC, 0 ) );
				Add( new GenericBuyInfo( typeof( Fish ), 2, 80, 0x9CD, 0 ) );
				Add( new GenericBuyInfo( typeof( Fish ), 2, 80, 0x9CE, 0 ) );
				Add( new GenericBuyInfo( typeof( Fish ), 2, 80, 0x9CF, 0 ) );
				
				Add( new GenericBuyInfo( typeof( PrizedFish ), 2, 80, 0xDD6, 51 ) );
				Add( new GenericBuyInfo( typeof( WondrousFish ), 2, 80, 0xDD6, 86 ) );
				Add( new GenericBuyInfo( typeof( TrulyRareFish ), 2, 80, 0xDD6, 76 ) );
				Add( new GenericBuyInfo( typeof( PeculiarFish ), 2, 80, 0xDD6, 66 ) );
				
				Add( new GenericBuyInfo( typeof( Sextant ), 5, 80, 0x1058, 0 ) );
				Add( new GenericBuyInfo( typeof( FishingPole ), 7, 20, 0xDC0, 0 ) );
				
				Add( new GenericBuyInfo( "1041205", typeof( SmallBoatDeed ), 5088, 20, 0x14F2, 0 ) );
				Add( new GenericBuyInfo( "1041206", typeof( SmallDragonBoatDeed ), 5088, 20, 0x14F2, 0 ) );
				Add( new GenericBuyInfo( "1041207", typeof( MediumBoatDeed ), 5776, 20, 0x14F2, 0 ) );
				Add( new GenericBuyInfo( "1041208", typeof( MediumDragonBoatDeed ), 5776, 20, 0x14F2, 0 ) );
				Add( new GenericBuyInfo( "1041209", typeof( LargeBoatDeed ), 6463, 20, 0x14F2, 0 ) );
				Add( new GenericBuyInfo( "1041210", typeof( LargeDragonBoatDeed ), 6463, 20, 0x14F2, 0 ) );	
				
				Add( new GenericBuyInfo( typeof( GoldFishPole ), 5000, 20, 0xDC0, 50 ) );
			} 
		} 

		public class InternalSellInfo : GenericSellInfo 
		{ 
		} 
	} 
}